com.thinkaurelius.titan.graphdb.types.indextype

## Class CompositeIndexTypeWrapper

- java.lang.Object
- - com.thinkaurelius.titan.graphdb.types.indextype.IndexTypeWrapper
  - - com.thinkaurelius.titan.graphdb.types.indextype.CompositeIndexTypeWrapper

- All Implemented Interfaces:
    CompositeIndexType, IndexType

      public class CompositeIndexTypeWrapper
      extends IndexTypeWrapper
      implements CompositeIndexType

  Author:
    Matthias Broecheler (me@matthiasb.com)

- - ### Field Summary

    - ### Fields inherited from class com.thinkaurelius.titan.graphdb.types.indextype.IndexTypeWrapper

      `base`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CompositeIndexTypeWrapper(SchemaSource base)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Cardinality` | `getCardinality()`
    `ConsistencyModifier` | `getConsistencyModifier()`
    `IndexField[]` | `getFieldKeys()`
    `long` | `getID()`
    `SchemaStatus` | `getStatus()`
    `boolean` | `isCompositeIndex()`
    `boolean` | `isMixedIndex()`
    `void` | `resetCache()` Resets the internal caches used to speed up lookups on this index.

    - ### Methods inherited from class com.thinkaurelius.titan.graphdb.types.indextype.IndexTypeWrapper

      `equals, getBackingIndexName, getElement, getField, getName, getSchemaBase, getSchemaTypeConstraint, hashCode, hasSchemaTypeConstraint, indexesKey, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.thinkaurelius.titan.graphdb.types.IndexType

      `getBackingIndexName, getElement, getField, getName, getSchemaTypeConstraint, hasSchemaTypeConstraint, indexesKey`

- - ### Constructor Detail

    - #### CompositeIndexTypeWrapper

          public CompositeIndexTypeWrapper(SchemaSource base)

  - ### Method Detail

    - #### isCompositeIndex

          public boolean isCompositeIndex()

      Specified by:
        `isCompositeIndex` in interface `IndexType`

    - #### isMixedIndex

          public boolean isMixedIndex()

      Specified by:
        `isMixedIndex` in interface `IndexType`

    - #### getID

          public long getID()

      Specified by:
        `getID` in interface `CompositeIndexType`

    - #### getStatus

          public SchemaStatus getStatus()

      Specified by:
        `getStatus` in interface `CompositeIndexType`

    - #### getFieldKeys

          public IndexField[] getFieldKeys()

      Specified by:
        `getFieldKeys` in interface `CompositeIndexType`
      Specified by:
        `getFieldKeys` in interface `IndexType`

    - #### resetCache

          public void resetCache()

      Description copied from interface: `IndexType`
      Resets the internal caches used to speed up lookups on this index. This is needed when the index gets modified in `ManagementSystem`.
      Specified by:
        `resetCache` in interface `IndexType`
      Overrides:
        `resetCache` in class `IndexTypeWrapper`

    - #### getCardinality

          public Cardinality getCardinality()

      Specified by:
        `getCardinality` in interface `CompositeIndexType`

    - #### getConsistencyModifier

          public ConsistencyModifier getConsistencyModifier()

      Specified by:
        `getConsistencyModifier` in interface `CompositeIndexType`

Copyright © 2012–2014. All rights reserved.